/*
 *  By: Sunil Kumar
 *  GeoIO Module. Module to draw simple 2D geometry objects and serialization.
 *  This code is free and is distributed in the hope that it will be useful for simple learning and experimental purpose only WITHOUT any WARRANTY.
 *  The author shall hold no redistribution liability in case of any unethical usage/modification.
 *  Distributed under CPOL.
 */
#ifndef _GEOIOCONSTS_H
#define _GEOIOCONSTS_H

#define GEOIO_MODULE_VERSION_NUM        0x101

// Geometry contants

#define		PI		3.14

enum GEO_ENTITY_TYPE
{
    GEOIO_UNDEFINED = 0,
    GEOIO_LINE,
    GEOIO_MULTILINE,
    GEOIO_RECTANGLE,
    GEOIO_ARC,
    GEOIO_ARC_SCRSE,
    GEOIO_CIRCLE1,
    GEOIO_CIRCLE2,
    GEOIO_TRIANGLE,
    GEOIO_POLYGON,
    GEOIO_SPLINE,
    GEOIO_TEXT,
    GEOIO_POLYBEZIER,
};

#endif //_GEOIOCONSTS_H